summaryrefslogtreecommitdiff
path: root/functions.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'functions.sh.in')
-rw-r--r--functions.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/functions.sh.in b/functions.sh.in
index 435b240..6d5181a 100644
--- a/functions.sh.in
+++ b/functions.sh.in
@@ -117,7 +117,7 @@ readconfig() {
USE_COLORS=${_USE_COLORS-$USE_COLORS}
USE_CCACHE=${_USE_CCACHE-$USE_CCACHE}
- [ -z "$CBUILD" ] && CBUILD="$(gcc -dumpmachine)"
+ [ -z "$CBUILD" ] && CBUILD="$(${CC:-gcc} -dumpmachine 2>/dev/null || true)"
[ -z "$CHOST" ] && CHOST="$CBUILD"
[ -z "$CTARGET" ] && CTARGET="$CHOST"
[ "$(arch_to_hostspec $CBUILD)" != "unknown" ] && CBUILD="$(arch_to_hostspec $CBUILD)"